diff --git a/src/plugins/meson.build b/src/plugins/meson.build
index 25e4918c..2b3690e9 100644
--- a/src/plugins/meson.build
+++ b/src/plugins/meson.build
@@ -503,7 +503,7 @@ if plugins_options['huawei']
 
   plugins += {'plugin-huawei': {
     'plugin': true,
-    'helper': {'sources': files('huawei/mm-modem-helpers-huawei.c'), 'include_directories': plugins_incs + [huawei_inc], 'c_args': common_c_args},
+    'helper': {'sources': files('huawei/mm-modem-helpers-huawei.c') + enums_sources, 'include_directories': plugins_incs + [huawei_inc], 'c_args': common_c_args},
     'module': {'sources': sources + enums_sources, 'include_directories': plugins_incs + [huawei_inc], 'c_args': common_c_args},
     'test': {'sources': files('huawei/tests/test-modem-helpers-huawei.c') + enums_sources, 'include_directories': huawei_inc, 'dependencies': libhelpers_dep},
   }}
